Subject: libgcc1.a and making a cross compiler (gcc)

From: "A.S.MCGough" <[email-masked]>
Date: Thu, 16 Oct 1997 16:13:32 +0100 (BST)

I'm trying to compile up a cross compiler for compiling linux kernels for 
an R260. I've been trying to do this but things are failing and I must 
have missed something, can someone please advise....

The rundown of what I have done is as follows:

1. Patched Binutils 2.7 and compiled with target set to arm-unknown-linuxaout
2. Installed Binutis under /usr/local/arm-unknown-linuxaout/
3. Patched gcc v. 2.7.2.2 - this is where the fun starts:
   There is one screwed up patch - I was told not to reverse it but do I 
still apply it?
4. Configured gcc for target arm-unknown-linuxaout
5. Edited config/arm/t-linux by adding the line
CROSS_LIB = libgcc1-asm.a
and removing /m7 from the appropriate line
6. compiled with make LANGUAGES="c c++"
Which causes the compilation to fail with an error about libgcc1.a not 
being available. The docs state that this file should come from the 
native system or be blank. Which is the correct method for this or where 
do I compile it or get it?

thanks in advance.

steve..

PS. any chance of a boot loader for riscos2 or even the source code so I 
can try patching it myself.

---

From: David Alan Gilbert <[email-masked]>
Date: Thu, 16 Oct 1997 17:40:31 +0000

>    There is one screwed up patch - I was told not to reverse it but do I

No - do not apply it.

> do I compile it or get it?

I think the line should be:

CROSS_LIBGCC1 = libgcc1-asm.a

There should be another line in the file almost identical but without the CROSS_

> can try patching it myself.

I'm going to try and hack one of these together over the weekend; no
promises mind you. I have a very old primitive boot loader that
Russ gave me a long time ago which I hacked about with - it ran on RISC OS2.

Dave
-- 
----------------------------------------------------------------------
- David Alan Gilbert - WARNING! This is a beta release .signature    -
- Work:    dg @ cogency.co.uk        -    0161-428-9444              -
- Home:    gro.gilbert @ treblig.org -                               -
----------------------------------------------------------------------

---

From: Philip Blundell <[email-masked]>
Date: Fri, 17 Oct 1997 20:25:42 -0000

>1. Patched Binutils 2.7 and compiled with target set to arm-unknown-linuxaout

Binutils 2.7 is a bit out of date.  You want 2.8.1.0.15 or so - you can get it 
from sunsite.unc.edu.  It doesn't need any patches.

p.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 16 Oct 1997 22:58:51 +0100 (BST)

> Russ gave me a long time ago which I hacked about with - it ran on RISC OS2.

If someone is willing to give it a go (and report the problems) then I'll
certainly get the latest loader going on the arc machines.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: James Craig <[email-masked]>
Date: Sun, 26 Oct 1997 12:37:45 +0000 (GMT)

> certainly get the latest loader going on the arc machines.
I've just aquired an A410/1 with RISC OS 2 still in it, so I'll happily
test a new loader as well.
-- James Craig <[email-masked]>